#!/bin/bash

# cd to parent directory of this script
bin=$( dirname "$0" )
cd "$bin/.."

# insert tag text
insert () {
  perl -p -e "s|<-$1->|$2|"
}

# output title
output () {
  markdown | cat head - foot | insert title "$1"
}

# index.html
cat index.md |\
   output "$(cat title)" > ../../index.html

# teaching.html
cat teaching.md |\
   output "$(cat title) (Teaching)" > ../../teaching.html

# email.html
cat email.md |\
   output "$(cat title) (Email)" > ../../Email/index.html

# source.html
cat source.md |\
   output "$(cat title) (Page Sources)" > ../source.html

# create tarball, update math.columbia.edu, and open page
cd ..
math-tarball.sh
math-update.rb '../index.html' '../teaching.html' '../Email/index.html'
math-open.sh '..'
